package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum PurchaseOrderAuditStateEnum {
	/**
	 * 采购单审核状态: 0_无状态；1_待报价审核；2_待老板审批；3_老板审批通过；4_报价审核驳回；5_老板审批驳回
	 */
	NONE(0, "无状态"),

	// 审核状态
	PENDING_QUOTE_APPROVAL(1, "待报价审核"),
	PENDING_BOSS_APPROVAL(2, "待老板审批"),
	BOSS_APPROVED(3, "老板审批通过"),

	// 驳回状态
	QUOTE_REJECTED(4, "报价审核驳回"),
	BOSS_REJECTED(5, "老板审批驳回");;

	@EnumValue
	private final int type;

	private final String message;
}
